Setting layout plot settings

Discussion in 'AutoCAD' started by globalfire, Aug 26, 2004.

  1. globalfire

    globalfire Guest

    Hello everyone,
    I created a program that lets the user choose the .pc3 from a
    listbox(lstplot) and the papersize from another listbox(lstpaper).
    The program iterates through the layouts previewing and than printing
    each layout with the following settings. But settings such as the
    plot rotation are landscape on some previews and portrait on others.
    Does the plot rotate actually rotate the paper each iteration 90deg?
    If I specifiy landscape for the first layout like I did below, show it
    not be the same for all layouts since it is a loop??


    For j = 0 To UBound(myArray)
    With ThisDrawing.ActiveLayout
    ThisDrawing.ActiveLayout = ThisDrawing.Layouts(myArray(j))
    ZoomExtents
    Layouts(myArray(j)).ConfigName = lstPlot.value
    .CanonicalMediaName = lstPaper.value
    .PaperUnits = acInches
    .StandardScale = ac1_1
    .StyleSheet = "Global Final Print.ctb"
    Layouts(myArray(j)).PlotType = acExtents
    .CenterPlot = True
    ThisDrawing.PaperSpace.Layout.RefreshPlotDeviceInfo
    .PlotRotation = ac90degrees
    dwgfull = dwgDir + "\" + myArray(j)
    MsgBox (ThisDrawing.ActiveLayout.PlotRotation)
    ThisDrawing.Plot.DisplayPlotPreview (acFullPreview)
    msgClick = MsgBox("Is the preview acceptable?", vbYesNo)
    If msgClick = vbNo Then
    MsgBox ("Please window the area you would like to plot
    starting from lower left corner to upper rigth corner")
    Dim point1 As Variant, point2 As Variant
    point1 = ThisDrawing.Utility.GetPoint(, "Click the
    lower-left of the window to plot.")
    ReDim Preserve point1(0 To 1) ' Change this to a 2D
    array by removing the Z position
    point2 = ThisDrawing.Utility.GetPoint(, "Click the
    upper-right of the window to plot.")
    ReDim Preserve point2(0 To 1) ' Change this to a 2D
    array by removing the Z position
    ThisDrawing.ActiveLayout.SetWindowToPlot point1, point2
    ThisDrawing.ActiveLayout.GetWindowToPlot point1, point2
    ThisDrawing.ActiveLayout.PlotType = acWindow
    ThisDrawing.PaperSpace.Layout.RefreshPlotDeviceInfo
    ThisDrawing.Plot.DisplayPlotPreview (acFullPreview)
    ThisDrawing.Plot.PlotToFile (dwgfull)
    Else
    ThisDrawing.Plot.PlotToFile (dwgfull)
    End If

    End With
    Next j

    Thank you for you time.
     
    globalfire, Aug 26, 2004
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.